### Method

# RB TrackTransferQueue cancel_batch

#### Declaration [src]

    void
    rb_track_transfer_queue_cancel_batch (
      RBTrackTransferQueue* queue,
      RBTrackTransferBatch* batch
    )

#### Description [src]

Removes a transfer batch from the queue. If an entry from the batch is currently being transferred, the transfer will be aborted.

#### Parameters

`batch`

  Type: `RBTrackTransferBatch`

  The `RBTrackTransferBatch` to cancel, or NULL for the current batch.

  The data is owned by the caller of the method.